Bug 162540 - [patch] lang/phc: respect CXX (plugins) + clang fix
Summary: [patch] lang/phc: respect CXX (plugins) + clang fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-13 21:00 UTC by Jan Beich
Modified: 2011-11-28 11:50 UTC (History)
0 users

See Also:


Attachments
cxx.diff (609 bytes, patch)
2011-11-13 21:00 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2011-11-13 21:00:24 UTC
And allow building with clang, which uses c99 mode by default.

How-To-Repeat: http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/e.9-exp.20110723205754/phc-0.1.7.log

$ make CC=clang CXX=clang++
[...]
gmake[2]: Entering directory `/usr/ports/lang/phc/work/phc-0.1.7'
clang++  -O2 -pipe -rdynamic   -o phc ...
lex.yy.o: In function `PHP_lex(Object**, void*)':
/usr/ports/lang/phc/work/phc-0.1.7/generated_src/php_scanner.lex:200: undefined reference to `in_word_set'
clang++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[2]: *** [phc] Error 1

$ make CC=clang CXX=clang++
[...]
gmake[2]: Entering directory `/usr/ports/lang/phc/work/phc-0.1.7/plugins/tutorials'
../../phc_compile_plugin -I../.. -I../../include -O0 -ggdb3 -o Expand_includes.so Expand_includes.cpp
In file included from Expand_includes.cpp:2:
In file included from ../../include/phc/Tree_transform.h:8:
In file included from ../../include/phc/ast.h:13:
../../include/phc/lib/List.h:123:3: error: use of undeclared identifier 'insert'
                insert(end(), other->begin(), other->end());
                ^
                this->
Expand_includes.cpp:45:9: note: in instantiation of member function 'List<AST_statement *, std::allocator<AST_statement *>
      >::push_back_all' requested here
                        out->push_back_all(run->statements);
                             ^
/usr/include/c++/4.2/bits/stl_list.h:793:7: note: must qualify identifier to find this declaration in dependent base class
      insert(iterator __position, const value_type& __x);
      ^
/usr/include/c++/4.2/bits/stl_list.h:808:7: note: must qualify identifier to find this declaration in dependent base class
      insert(iterator __position, size_type __n, const value_type& __x)
      ^
/usr/include/c++/4.2/bits/stl_list.h:829:9: note: must qualify identifier to find this declaration in dependent base class
        insert(iterator __position, _InputIterator __first,
        ^
1 error generated.
Comment 1 Edwin Groothuis freebsd_committer 2011-11-13 21:00:49 UTC
Maintainer of lang/phc,

Please note that PR ports/162540 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162540

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Martin Wilke freebsd_committer 2011-11-14 04:23:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

y
Comment 3 Martin Wilke freebsd_committer 2011-11-28 11:43:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2011-11-28 11:43:37 UTC
miwi        2011-11-28 11:43:28 UTC

  FreeBSD ports repository

  Modified files:
    lang/phc             Makefile 
  Log:
  - Fix build with CLANG
  
  PR:             162540
  Submitted by:   Jan Beich <jbeich@tormail.net>
  Approved by:    maintainer timeout
  Feature safe:   yes
  
  Revision  Changes    Path
  1.7       +7 -0      ports/lang/phc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"